Op deze website gebruiken we cookies om content en advertenties te personaliseren, om functies voor social media te bieden en om ons websiteverkeer te analyseren. Ook delen we informatie over uw gebruik van onze site met onze partners voor social media, adverteren en analyse. Deze partners kunnen deze gegevens combineren met andere informatie die u aan ze heeft verstrekt of die ze hebben verzameld op basis van uw gebruik van hun services. Meer informatie.

Akkoord

Vraag & Antwoord

OS Linux

lilo en Win2k

jolo
3 antwoorden
  • Ey,

    Op een pc heb ik zowel Win2k, win98se en Linux draaien. Nu was het de bedoeling om lilo als bootloader te gebruiken. De systemen zijn als volgt verdeelt over de schijven:
    /dev/hda1 => Win2k
    /dev/hdb6 => Win98SE
    /dev/hdc1 => Debian Linux

    Nu leek het in eerste instantie heel gemakkelijk om met lilo gewoon een OS. De /etc/lilo.conf ziet er als volgt uit (mbt tot de OS):

    image=/vmlinuz
    label=Linux
    read-only
    # restricted
    # alias=1

    other=/dev/hda1
    label=Win2K
    table=/dev/hda

    other=/dev/hdb6
    label=Win98SE


    Wanneer ik linux kies dan start linux gewoon, als ik echter Win2k kies dan start win98se en kies ik win98se dan start win98se ook. Hoe krijg ik Win2k ook werkend met lilo?

    MVGR,

    René
  • [quote:5f2f10e96e="shoekie"]Wanneer ik linux kies dan start linux gewoon, als ik echter Win2k kies dan start win98se en kies ik win98se dan start win98se ook. Hoe krijg ik Win2k ook werkend met lilo? [/quote:5f2f10e96e] Daar kan lilo niets aan doen. Je hebt Win98 geïnstalleerd op een logische partitie. De belangrijkste Windows systeem bestanden worden echter altijd op C:\ geïnstalleerd. Dus op /dev/hda1. Je zou eigenlijk Win98 net zoals Win2000 op een primaire partitie moeten installeren. Bij voorkeur op de Primary Master. Dus Win2000 op /dev/hda1 en Win98 op /dev/hda2. Alleen dan zou lilo kunnen selecteren tussen Win2000, Win98 en Linux. Mits je een lilo versie gebruikt die het verbergen en zichtbaar maken van primaire partities ondersteund. Volgens deze discussie zou lilo versie 17 hide/unhide moeten ondersteunen.
  • dat is duidelijk. Is er een optie om het met grub te doen? of misschien met de bootloader van Win2k zelf?

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.